## ros-noetic-leo-robot 2.3.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(leo_robot)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-noetic-leo-robot (2.3.0-1buster) buster; urgency=high



 -- Fictionlab <support@fictionlab.pl>  Wed, 24 Aug 2022 00:00:00 -0000

ros-noetic-leo-robot (2.2.0-1buster) buster; urgency=high



 -- Fictionlab <support@fictionlab.pl>  Mon, 21 Mar 2022 00:00:00 -0000

ros-noetic-leo-robot (2.1.1-1buster) buster; urgency=high



 -- Fictionlab <support@fictionlab.pl>  Mon, 07 Mar 2022 00:00:00 -0000

ros-noetic-leo-robot (2.1.0-1buster) buster; urgency=high



 -- Fictionlab <support@fictionlab.pl>  Fri, 04 Mar 2022 00:00:00 -0000

ros-noetic-leo-robot (2.0.3-1buster) buster; urgency=high



 -- Fictionlab <support@fictionlab.pl>  Tue, 18 Jan 2022 00:00:00 -0000

ros-noetic-leo-robot (2.0.2-1buster) buster; urgency=high



 -- Fictionlab <support@fictionlab.pl>  Wed, 05 Jan 2022 00:00:00 -0000

ros-noetic-leo-robot (2.0.1-1buster) buster; urgency=high



 -- Fictionlab <support@fictionlab.pl>  Tue, 28 Dec 2021 00:00:00 -0000

ros-noetic-leo-robot (2.0.0-1buster) buster; urgency=high



 -- Fictionlab <support@fictionlab.pl>  Sun, 12 Dec 2021 00:00:00 -0000

ros-noetic-leo-robot (1.2.1-1buster) buster; urgency=high



 -- Fictionlab <support@fictionlab.pl>  Tue, 28 Sep 2021 00:00:00 -0000

ros-noetic-leo-robot (1.2.0-1buster) buster; urgency=high

  * Update author and maintainer info

 -- Fictionlab <support@fictionlab.pl>  Fri, 23 Apr 2021 00:00:00 -0000

ros-noetic-leo-robot (1.1.3-1buster) buster; urgency=high



 -- Fictionlab <support@fictionlab.pl>  Fri, 18 Dec 2020 00:00:00 -0000

ros-noetic-leo-robot (1.1.2-1buster) buster; urgency=high



 -- Fictionlab <support@fictionlab.pl>  Wed, 25 Nov 2020 00:00:00 -0000

ros-noetic-leo-robot (1.1.1-1buster) buster; urgency=high



 -- Fictionlab <support@fictionlab.pl>  Mon, 19 Oct 2020 00:00:00 -0000

ros-noetic-leo-robot (1.1.0-1buster) buster; urgency=high

  * Add leo_robot metapackage

 -- Fictionlab <support@fictionlab.pl>  Fri, 16 Oct 2020 00:00:00 -0000

ros-noetic-leo-robot (1.0.2-1buster) buster; urgency=high



 -- Fictionlab <support@fictionlab.pl>  Wed, 23 Sep 2020 00:00:00 -0000

=== debian/control ===
Source: ros-noetic-leo-robot
Section: misc
Priority: optional
Maintainer: Fictionlab <support@fictionlab.pl>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin
Homepage: http://wiki.ros.org/leo_robot
Standards-Version: 3.9.2

Package: ros-noetic-leo-robot
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-leo, ros-noetic-leo-bringup, ros-noetic-leo-fw
Description: Metapackage of software to install on Leo Rover.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-leo-robot//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
